unit schPresupuestosServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schPresupuestosClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_darReferenciaDelta = '{1D73E5E0-B6A4-4EA3-BE83-D4C52A5892A0}';
  RID_PresupuestosDelta = '{3587FB1C-4A6F-4853-930F-75EDF6812E88}';
  RID_Presupuestos_DetallesDelta = '{93DDEC78-0F6D-44B9-81D3-8EFE89831F76}';
  RID_Presupuestos_RefreshDelta = '{BE31CDC2-3648-4BB3-AB60-71352C21905B}';

type
  { IdarReferenciaDelta }
  IdarReferenciaDelta = interface(IdarReferencia)
  ['{1D73E5E0-B6A4-4EA3-BE83-D4C52A5892A0}']
    { Property getters and setters }
    function GetOldVALORValue : String;

    { Properties }
    property OldVALOR : String read GetOldVALORValue;
  end;

  { TdarReferenciaBusinessProcessorRules }
  TdarReferenciaBusinessProcessorRules = class(TDABusinessProcessorRules, IdarReferencia, IdarReferenciaDelta)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    function GetOldVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR : String read GetVALORValue write SetVALORValue;
    property OldVALOR : String read GetOldVALORValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IPresupuestosDelta }
  IPresupuestosDelta = interface(IPresupuestos)
  ['{3587FB1C-4A6F-4853-930F-75EDF6812E88}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNOMBREValue : String;
    function GetOldNIF_CIFValue : String;
    function GetOldCALLEValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGO_POSTALValue : String;
    function GetOldTELEFONO_1Value : String;
    function GetOldTELEFONO_2Value : String;
    function GetOldFAXValue : String;
    function GetOldMOVIL_1Value : String;
    function GetOldMOVIL_2Value : String;
    function GetOldEMAIL_1Value : String;
    function GetOldEMAIL_2Value : String;
    function GetOldID_VENDEDORValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFECHA_PRESUPUESTOValue : DateTime;
    function GetOldVIGENCIAValue : Integer;
    function GetOldSITUACIONValue : String;
    function GetOldFECHA_DECISIONValue : DateTime;
    function GetOldBASE_IMPONIBLEValue : Float;
    function GetOldDESCUENTOValue : Float;
    function GetOldIMPORTE_DESCUENTOValue : Float;
    function GetOldIVAValue : Float;
    function GetOldIMPORTE_IVAValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldOBSERVACIONESValue : IROStrings;
    function GetOldPLAZO_ENTREGAValue : IROStrings;
    function GetOldFORMA_PAGOValue : IROStrings;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldFECHA_VALIDEZValue : DateTime;
    function GetOldID_MONTAJEValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property OldFAX : String read GetOldFAXValue;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property OldID_VENDEDOR : Integer read GetOldID_VENDEDORValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFECHA_PRESUPUESTO : DateTime read GetOldFECHA_PRESUPUESTOValue;
    property OldVIGENCIA : Integer read GetOldVIGENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldFECHA_DECISION : DateTime read GetOldFECHA_DECISIONValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property OldIVA : Float read GetOldIVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property OldPLAZO_ENTREGA : IROStrings read GetOldPLAZO_ENTREGAValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHA_VALIDEZ : DateTime read GetOldFECHA_VALIDEZValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
  end;

  { TPresupuestosBusinessProcessorRules }
  TPresupuestosBusinessProcessorRules = class(TDABusinessProcessorRules, IPresupuestos, IPresupuestosDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGO_POSTALValue: String; virtual;
    function GetOldCODIGO_POSTALValue: String; virtual;
    procedure SetCODIGO_POSTALValue(const aValue: String); virtual;
    function GetTELEFONO_1Value: String; virtual;
    function GetOldTELEFONO_1Value: String; virtual;
    procedure SetTELEFONO_1Value(const aValue: String); virtual;
    function GetTELEFONO_2Value: String; virtual;
    function GetOldTELEFONO_2Value: String; virtual;
    procedure SetTELEFONO_2Value(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    function GetOldFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetMOVIL_1Value: String; virtual;
    function GetOldMOVIL_1Value: String; virtual;
    procedure SetMOVIL_1Value(const aValue: String); virtual;
    function GetMOVIL_2Value: String; virtual;
    function GetOldMOVIL_2Value: String; virtual;
    procedure SetMOVIL_2Value(const aValue: String); virtual;
    function GetEMAIL_1Value: String; virtual;
    function GetOldEMAIL_1Value: String; virtual;
    procedure SetEMAIL_1Value(const aValue: String); virtual;
    function GetEMAIL_2Value: String; virtual;
    function GetOldEMAIL_2Value: String; virtual;
    procedure SetEMAIL_2Value(const aValue: String); virtual;
    function GetID_VENDEDORValue: Integer; virtual;
    function GetOldID_VENDEDORValue: Integer; virtual;
    procedure SetID_VENDEDORValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_PRESUPUESTOValue: DateTime; virtual;
    function GetOldFECHA_PRESUPUESTOValue: DateTime; virtual;
    procedure SetFECHA_PRESUPUESTOValue(const aValue: DateTime); virtual;
    function GetVIGENCIAValue: Integer; virtual;
    function GetOldVIGENCIAValue: Integer; virtual;
    procedure SetVIGENCIAValue(const aValue: Integer); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetFECHA_DECISIONValue: DateTime; virtual;
    function GetOldFECHA_DECISIONValue: DateTime; virtual;
    procedure SetFECHA_DECISIONValue(const aValue: DateTime); virtual;
    function GetBASE_IMPONIBLEValue: Float; virtual;
    function GetOldBASE_IMPONIBLEValue: Float; virtual;
    procedure SetBASE_IMPONIBLEValue(const aValue: Float); virtual;
    function GetDESCUENTOValue: Float; virtual;
    function GetOldDESCUENTOValue: Float; virtual;
    procedure SetDESCUENTOValue(const aValue: Float); virtual;
    function GetIMPORTE_DESCUENTOValue: Float; virtual;
    function GetOldIMPORTE_DESCUENTOValue: Float; virtual;
    procedure SetIMPORTE_DESCUENTOValue(const aValue: Float); virtual;
    function GetIVAValue: Float; virtual;
    function GetOldIVAValue: Float; virtual;
    procedure SetIVAValue(const aValue: Float); virtual;
    function GetIMPORTE_IVAValue: Float; virtual;
    function GetOldIMPORTE_IVAValue: Float; virtual;
    procedure SetIMPORTE_IVAValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    function GetOldOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetPLAZO_ENTREGAValue: IROStrings; virtual;
    function GetOldPLAZO_ENTREGAValue: IROStrings; virtual;
    procedure SetPLAZO_ENTREGAValue(const aValue: IROStrings); virtual;
    function GetFORMA_PAGOValue: IROStrings; virtual;
    function GetOldFORMA_PAGOValue: IROStrings; virtual;
    procedure SetFORMA_PAGOValue(const aValue: IROStrings); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_VALIDEZValue: DateTime; virtual;
    function GetOldFECHA_VALIDEZValue: DateTime; virtual;
    procedure SetFECHA_VALIDEZValue(const aValue: DateTime); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGO_POSTAL : String read GetCODIGO_POSTALValue write SetCODIGO_POSTALValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property TELEFONO_1 : String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property TELEFONO_2 : String read GetTELEFONO_2Value write SetTELEFONO_2Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property FAX : String read GetFAXValue write SetFAXValue;
    property OldFAX : String read GetOldFAXValue;
    property MOVIL_1 : String read GetMOVIL_1Value write SetMOVIL_1Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property MOVIL_2 : String read GetMOVIL_2Value write SetMOVIL_2Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property EMAIL_1 : String read GetEMAIL_1Value write SetEMAIL_1Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property EMAIL_2 : String read GetEMAIL_2Value write SetEMAIL_2Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property ID_VENDEDOR : Integer read GetID_VENDEDORValue write SetID_VENDEDORValue;
    property OldID_VENDEDOR : Integer read GetOldID_VENDEDORValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property FECHA_PRESUPUESTO : DateTime read GetFECHA_PRESUPUESTOValue write SetFECHA_PRESUPUESTOValue;
    property OldFECHA_PRESUPUESTO : DateTime read GetOldFECHA_PRESUPUESTOValue;
    property VIGENCIA : Integer read GetVIGENCIAValue write SetVIGENCIAValue;
    property OldVIGENCIA : Integer read GetOldVIGENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property FECHA_DECISION : DateTime read GetFECHA_DECISIONValue write SetFECHA_DECISIONValue;
    property OldFECHA_DECISION : DateTime read GetOldFECHA_DECISIONValue;
    property BASE_IMPONIBLE : Float read GetBASE_IMPONIBLEValue write SetBASE_IMPONIBLEValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property DESCUENTO : Float read GetDESCUENTOValue write SetDESCUENTOValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property IMPORTE_DESCUENTO : Float read GetIMPORTE_DESCUENTOValue write SetIMPORTE_DESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property IVA : Float read GetIVAValue write SetIVAValue;
    property OldIVA : Float read GetOldIVAValue;
    property IMPORTE_IVA : Float read GetIMPORTE_IVAValue write SetIMPORTE_IVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OBSERVACIONES : IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property PLAZO_ENTREGA : IROStrings read GetPLAZO_ENTREGAValue write SetPLAZO_ENTREGAValue;
    property OldPLAZO_ENTREGA : IROStrings read GetOldPLAZO_ENTREGAValue;
    property FORMA_PAGO : IROStrings read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHA_VALIDEZ : DateTime read GetFECHA_VALIDEZValue write SetFECHA_VALIDEZValue;
    property OldFECHA_VALIDEZ : DateTime read GetOldFECHA_VALIDEZValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IPresupuestos_DetallesDelta }
  IPresupuestos_DetallesDelta = interface(IPresupuestos_Detalles)
  ['{93DDEC78-0F6D-44B9-81D3-8EFE89831F76}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_PRESUPUESTOValue : Integer;
    function GetOldPOSICIONValue : Integer;
    function GetOldTIPO_DETALLEValue : String;
    function GetOldCONCEPTOValue : String;
    function GetOldCANTIDADValue : Integer;
    function GetOldPUNTOSValue : Integer;
    function GetOldIMPORTE_PUNTOSValue : Float;
    function GetOldIMPORTE_UNIDADValue : Float;
    function GetOldDESCUENTOValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldVISIBLEValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_PRESUPUESTO : Integer read GetOldID_PRESUPUESTOValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldPUNTOS : Integer read GetOldPUNTOSValue;
    property OldIMPORTE_PUNTOS : Float read GetOldIMPORTE_PUNTOSValue;
    property OldIMPORTE_UNIDAD : Float read GetOldIMPORTE_UNIDADValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;
  end;

  { TPresupuestos_DetallesBusinessProcessorRules }
  TPresupuestos_DetallesBusinessProcessorRules = class(TDABusinessProcessorRules, IPresupuestos_Detalles, IPresupuestos_DetallesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_PRESUPUESTOValue: Integer; virtual;
    function GetOldID_PRESUPUESTOValue: Integer; virtual;
    procedure SetID_PRESUPUESTOValue(const aValue: Integer); virtual;
    function GetPOSICIONValue: Integer; virtual;
    function GetOldPOSICIONValue: Integer; virtual;
    procedure SetPOSICIONValue(const aValue: Integer); virtual;
    function GetTIPO_DETALLEValue: String; virtual;
    function GetOldTIPO_DETALLEValue: String; virtual;
    procedure SetTIPO_DETALLEValue(const aValue: String); virtual;
    function GetCONCEPTOValue: String; virtual;
    function GetOldCONCEPTOValue: String; virtual;
    procedure SetCONCEPTOValue(const aValue: String); virtual;
    function GetCANTIDADValue: Integer; virtual;
    function GetOldCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetPUNTOSValue: Integer; virtual;
    function GetOldPUNTOSValue: Integer; virtual;
    procedure SetPUNTOSValue(const aValue: Integer); virtual;
    function GetIMPORTE_PUNTOSValue: Float; virtual;
    function GetOldIMPORTE_PUNTOSValue: Float; virtual;
    procedure SetIMPORTE_PUNTOSValue(const aValue: Float); virtual;
    function GetIMPORTE_UNIDADValue: Float; virtual;
    function GetOldIMPORTE_UNIDADValue: Float; virtual;
    procedure SetIMPORTE_UNIDADValue(const aValue: Float); virtual;
    function GetDESCUENTOValue: Float; virtual;
    function GetOldDESCUENTOValue: Float; virtual;
    procedure SetDESCUENTOValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetVISIBLEValue: Integer; virtual;
    function GetOldVISIBLEValue: Integer; virtual;
    procedure SetVISIBLEValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_PRESUPUESTO : Integer read GetID_PRESUPUESTOValue write SetID_PRESUPUESTOValue;
    property OldID_PRESUPUESTO : Integer read GetOldID_PRESUPUESTOValue;
    property POSICION : Integer read GetPOSICIONValue write SetPOSICIONValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property TIPO_DETALLE : String read GetTIPO_DETALLEValue write SetTIPO_DETALLEValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property CONCEPTO : String read GetCONCEPTOValue write SetCONCEPTOValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property CANTIDAD : Integer read GetCANTIDADValue write SetCANTIDADValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property PUNTOS : Integer read GetPUNTOSValue write SetPUNTOSValue;
    property OldPUNTOS : Integer read GetOldPUNTOSValue;
    property IMPORTE_PUNTOS : Float read GetIMPORTE_PUNTOSValue write SetIMPORTE_PUNTOSValue;
    property OldIMPORTE_PUNTOS : Float read GetOldIMPORTE_PUNTOSValue;
    property IMPORTE_UNIDAD : Float read GetIMPORTE_UNIDADValue write SetIMPORTE_UNIDADValue;
    property OldIMPORTE_UNIDAD : Float read GetOldIMPORTE_UNIDADValue;
    property DESCUENTO : Float read GetDESCUENTOValue write SetDESCUENTOValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property VISIBLE : Integer read GetVISIBLEValue write SetVISIBLEValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IPresupuestos_RefreshDelta }
  IPresupuestos_RefreshDelta = interface(IPresupuestos_Refresh)
  ['{BE31CDC2-3648-4BB3-AB60-71352C21905B}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNOMBREValue : String;
    function GetOldNIF_CIFValue : String;
    function GetOldCALLEValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGO_POSTALValue : String;
    function GetOldTELEFONO_1Value : String;
    function GetOldTELEFONO_2Value : String;
    function GetOldFAXValue : String;
    function GetOldMOVIL_1Value : String;
    function GetOldMOVIL_2Value : String;
    function GetOldEMAIL_1Value : String;
    function GetOldEMAIL_2Value : String;
    function GetOldID_VENDEDORValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFECHA_PRESUPUESTOValue : DateTime;
    function GetOldVIGENCIAValue : Integer;
    function GetOldSITUACIONValue : String;
    function GetOldFECHA_DECISIONValue : DateTime;
    function GetOldBASE_IMPONIBLEValue : Float;
    function GetOldDESCUENTOValue : Float;
    function GetOldIMPORTE_DESCUENTOValue : Float;
    function GetOldIVAValue : Float;
    function GetOldIMPORTE_IVAValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldOBSERVACIONESValue : IROStrings;
    function GetOldPLAZO_ENTREGAValue : IROStrings;
    function GetOldFORMA_PAGOValue : IROStrings;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldFECHA_VALIDEZValue : DateTime;
    function GetOldID_MONTAJEValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property OldFAX : String read GetOldFAXValue;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property OldID_VENDEDOR : Integer read GetOldID_VENDEDORValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFECHA_PRESUPUESTO : DateTime read GetOldFECHA_PRESUPUESTOValue;
    property OldVIGENCIA : Integer read GetOldVIGENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldFECHA_DECISION : DateTime read GetOldFECHA_DECISIONValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property OldIVA : Float read GetOldIVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property OldPLAZO_ENTREGA : IROStrings read GetOldPLAZO_ENTREGAValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHA_VALIDEZ : DateTime read GetOldFECHA_VALIDEZValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
  end;

  { TPresupuestos_RefreshBusinessProcessorRules }
  TPresupuestos_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IPresupuestos_Refresh, IPresupuestos_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGO_POSTALValue: String; virtual;
    function GetOldCODIGO_POSTALValue: String; virtual;
    procedure SetCODIGO_POSTALValue(const aValue: String); virtual;
    function GetTELEFONO_1Value: String; virtual;
    function GetOldTELEFONO_1Value: String; virtual;
    procedure SetTELEFONO_1Value(const aValue: String); virtual;
    function GetTELEFONO_2Value: String; virtual;
    function GetOldTELEFONO_2Value: String; virtual;
    procedure SetTELEFONO_2Value(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    function GetOldFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetMOVIL_1Value: String; virtual;
    function GetOldMOVIL_1Value: String; virtual;
    procedure SetMOVIL_1Value(const aValue: String); virtual;
    function GetMOVIL_2Value: String; virtual;
    function GetOldMOVIL_2Value: String; virtual;
    procedure SetMOVIL_2Value(const aValue: String); virtual;
    function GetEMAIL_1Value: String; virtual;
    function GetOldEMAIL_1Value: String; virtual;
    procedure SetEMAIL_1Value(const aValue: String); virtual;
    function GetEMAIL_2Value: String; virtual;
    function GetOldEMAIL_2Value: String; virtual;
    procedure SetEMAIL_2Value(const aValue: String); virtual;
    function GetID_VENDEDORValue: Integer; virtual;
    function GetOldID_VENDEDORValue: Integer; virtual;
    procedure SetID_VENDEDORValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_PRESUPUESTOValue: DateTime; virtual;
    function GetOldFECHA_PRESUPUESTOValue: DateTime; virtual;
    procedure SetFECHA_PRESUPUESTOValue(const aValue: DateTime); virtual;
    function GetVIGENCIAValue: Integer; virtual;
    function GetOldVIGENCIAValue: Integer; virtual;
    procedure SetVIGENCIAValue(const aValue: Integer); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetFECHA_DECISIONValue: DateTime; virtual;
    function GetOldFECHA_DECISIONValue: DateTime; virtual;
    procedure SetFECHA_DECISIONValue(const aValue: DateTime); virtual;
    function GetBASE_IMPONIBLEValue: Float; virtual;
    function GetOldBASE_IMPONIBLEValue: Float; virtual;
    procedure SetBASE_IMPONIBLEValue(const aValue: Float); virtual;
    function GetDESCUENTOValue: Float; virtual;
    function GetOldDESCUENTOValue: Float; virtual;
    procedure SetDESCUENTOValue(const aValue: Float); virtual;
    function GetIMPORTE_DESCUENTOValue: Float; virtual;
    function GetOldIMPORTE_DESCUENTOValue: Float; virtual;
    procedure SetIMPORTE_DESCUENTOValue(const aValue: Float); virtual;
    function GetIVAValue: Float; virtual;
    function GetOldIVAValue: Float; virtual;
    procedure SetIVAValue(const aValue: Float); virtual;
    function GetIMPORTE_IVAValue: Float; virtual;
    function GetOldIMPORTE_IVAValue: Float; virtual;
    procedure SetIMPORTE_IVAValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    function GetOldOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetPLAZO_ENTREGAValue: IROStrings; virtual;
    function GetOldPLAZO_ENTREGAValue: IROStrings; virtual;
    procedure SetPLAZO_ENTREGAValue(const aValue: IROStrings); virtual;
    function GetFORMA_PAGOValue: IROStrings; virtual;
    function GetOldFORMA_PAGOValue: IROStrings; virtual;
    procedure SetFORMA_PAGOValue(const aValue: IROStrings); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_VALIDEZValue: DateTime; virtual;
    function GetOldFECHA_VALIDEZValue: DateTime; virtual;
    procedure SetFECHA_VALIDEZValue(const aValue: DateTime); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGO_POSTAL : String read GetCODIGO_POSTALValue write SetCODIGO_POSTALValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property TELEFONO_1 : String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property TELEFONO_2 : String read GetTELEFONO_2Value write SetTELEFONO_2Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property FAX : String read GetFAXValue write SetFAXValue;
    property OldFAX : String read GetOldFAXValue;
    property MOVIL_1 : String read GetMOVIL_1Value write SetMOVIL_1Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property MOVIL_2 : String read GetMOVIL_2Value write SetMOVIL_2Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property EMAIL_1 : String read GetEMAIL_1Value write SetEMAIL_1Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property EMAIL_2 : String read GetEMAIL_2Value write SetEMAIL_2Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property ID_VENDEDOR : Integer read GetID_VENDEDORValue write SetID_VENDEDORValue;
    property OldID_VENDEDOR : Integer read GetOldID_VENDEDORValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property FECHA_PRESUPUESTO : DateTime read GetFECHA_PRESUPUESTOValue write SetFECHA_PRESUPUESTOValue;
    property OldFECHA_PRESUPUESTO : DateTime read GetOldFECHA_PRESUPUESTOValue;
    property VIGENCIA : Integer read GetVIGENCIAValue write SetVIGENCIAValue;
    property OldVIGENCIA : Integer read GetOldVIGENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property FECHA_DECISION : DateTime read GetFECHA_DECISIONValue write SetFECHA_DECISIONValue;
    property OldFECHA_DECISION : DateTime read GetOldFECHA_DECISIONValue;
    property BASE_IMPONIBLE : Float read GetBASE_IMPONIBLEValue write SetBASE_IMPONIBLEValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property DESCUENTO : Float read GetDESCUENTOValue write SetDESCUENTOValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property IMPORTE_DESCUENTO : Float read GetIMPORTE_DESCUENTOValue write SetIMPORTE_DESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property IVA : Float read GetIVAValue write SetIVAValue;
    property OldIVA : Float read GetOldIVAValue;
    property IMPORTE_IVA : Float read GetIMPORTE_IVAValue write SetIMPORTE_IVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OBSERVACIONES : IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property PLAZO_ENTREGA : IROStrings read GetPLAZO_ENTREGAValue write SetPLAZO_ENTREGAValue;
    property OldPLAZO_ENTREGA : IROStrings read GetOldPLAZO_ENTREGAValue;
    property FORMA_PAGO : IROStrings read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHA_VALIDEZ : DateTime read GetFECHA_VALIDEZValue write SetFECHA_VALIDEZValue;
    property OldFECHA_VALIDEZ : DateTime read GetOldFECHA_VALIDEZValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TdarReferenciaBusinessProcessorRules }
constructor TdarReferenciaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TdarReferenciaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TdarReferenciaBusinessProcessorRules.GetVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_darReferenciaVALOR];
end;

function TdarReferenciaBusinessProcessorRules.GetOldVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_darReferenciaVALOR];
end;

procedure TdarReferenciaBusinessProcessorRules.SetVALORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_darReferenciaVALOR] := aValue;
end;


{ TPresupuestosBusinessProcessorRules }
constructor TPresupuestosBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPresupuestosBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPresupuestosBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID];
end;

function TPresupuestosBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosID];
end;

procedure TPresupuestosBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_EMPRESA];
end;

function TPresupuestosBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosID_EMPRESA];
end;

procedure TPresupuestosBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_EMPRESA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_CLIENTE];
end;

function TPresupuestosBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosID_CLIENTE];
end;

procedure TPresupuestosBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_CLIENTE] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosNOMBRE];
end;

function TPresupuestosBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosNOMBRE];
end;

procedure TPresupuestosBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosNOMBRE] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosNIF_CIF];
end;

function TPresupuestosBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosNIF_CIF];
end;

procedure TPresupuestosBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosNIF_CIF] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosCALLE];
end;

function TPresupuestosBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosCALLE];
end;

procedure TPresupuestosBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosCALLE] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosPOBLACION];
end;

function TPresupuestosBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosPOBLACION];
end;

procedure TPresupuestosBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosPOBLACION] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosPROVINCIA];
end;

function TPresupuestosBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosPROVINCIA];
end;

procedure TPresupuestosBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosPROVINCIA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosCODIGO_POSTAL];
end;

function TPresupuestosBusinessProcessorRules.GetOldCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosCODIGO_POSTAL];
end;

procedure TPresupuestosBusinessProcessorRules.SetCODIGO_POSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosCODIGO_POSTAL] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosTELEFONO_1];
end;

function TPresupuestosBusinessProcessorRules.GetOldTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosTELEFONO_1];
end;

procedure TPresupuestosBusinessProcessorRules.SetTELEFONO_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosTELEFONO_1] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosTELEFONO_2];
end;

function TPresupuestosBusinessProcessorRules.GetOldTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosTELEFONO_2];
end;

procedure TPresupuestosBusinessProcessorRules.SetTELEFONO_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosTELEFONO_2] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFAX];
end;

function TPresupuestosBusinessProcessorRules.GetOldFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFAX];
end;

procedure TPresupuestosBusinessProcessorRules.SetFAXValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFAX] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosMOVIL_1];
end;

function TPresupuestosBusinessProcessorRules.GetOldMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosMOVIL_1];
end;

procedure TPresupuestosBusinessProcessorRules.SetMOVIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosMOVIL_1] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosMOVIL_2];
end;

function TPresupuestosBusinessProcessorRules.GetOldMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosMOVIL_2];
end;

procedure TPresupuestosBusinessProcessorRules.SetMOVIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosMOVIL_2] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosEMAIL_1];
end;

function TPresupuestosBusinessProcessorRules.GetOldEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosEMAIL_1];
end;

procedure TPresupuestosBusinessProcessorRules.SetEMAIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosEMAIL_1] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosEMAIL_2];
end;

function TPresupuestosBusinessProcessorRules.GetOldEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosEMAIL_2];
end;

procedure TPresupuestosBusinessProcessorRules.SetEMAIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosEMAIL_2] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetID_VENDEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_VENDEDOR];
end;

function TPresupuestosBusinessProcessorRules.GetOldID_VENDEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosID_VENDEDOR];
end;

procedure TPresupuestosBusinessProcessorRules.SetID_VENDEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_VENDEDOR] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosREFERENCIA];
end;

function TPresupuestosBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosREFERENCIA];
end;

procedure TPresupuestosBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosREFERENCIA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetFECHA_PRESUPUESTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_PRESUPUESTO];
end;

function TPresupuestosBusinessProcessorRules.GetOldFECHA_PRESUPUESTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFECHA_PRESUPUESTO];
end;

procedure TPresupuestosBusinessProcessorRules.SetFECHA_PRESUPUESTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_PRESUPUESTO] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetVIGENCIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosVIGENCIA];
end;

function TPresupuestosBusinessProcessorRules.GetOldVIGENCIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosVIGENCIA];
end;

procedure TPresupuestosBusinessProcessorRules.SetVIGENCIAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosVIGENCIA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosSITUACION];
end;

function TPresupuestosBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosSITUACION];
end;

procedure TPresupuestosBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosSITUACION] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetFECHA_DECISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_DECISION];
end;

function TPresupuestosBusinessProcessorRules.GetOldFECHA_DECISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFECHA_DECISION];
end;

procedure TPresupuestosBusinessProcessorRules.SetFECHA_DECISIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_DECISION] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosBASE_IMPONIBLE];
end;

function TPresupuestosBusinessProcessorRules.GetOldBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosBASE_IMPONIBLE];
end;

procedure TPresupuestosBusinessProcessorRules.SetBASE_IMPONIBLEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosBASE_IMPONIBLE] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosDESCUENTO];
end;

function TPresupuestosBusinessProcessorRules.GetOldDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosDESCUENTO];
end;

procedure TPresupuestosBusinessProcessorRules.SetDESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosDESCUENTO] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIMPORTE_DESCUENTO];
end;

function TPresupuestosBusinessProcessorRules.GetOldIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosIMPORTE_DESCUENTO];
end;

procedure TPresupuestosBusinessProcessorRules.SetIMPORTE_DESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIMPORTE_DESCUENTO] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIVA];
end;

function TPresupuestosBusinessProcessorRules.GetOldIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosIVA];
end;

procedure TPresupuestosBusinessProcessorRules.SetIVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIVA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIMPORTE_IVA];
end;

function TPresupuestosBusinessProcessorRules.GetOldIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosIMPORTE_IVA];
end;

procedure TPresupuestosBusinessProcessorRules.SetIMPORTE_IVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIMPORTE_IVA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIMPORTE_TOTAL];
end;

function TPresupuestosBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosIMPORTE_TOTAL];
end;

procedure TPresupuestosBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosIMPORTE_TOTAL] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosOBSERVACIONES];
end;

function TPresupuestosBusinessProcessorRules.GetOldOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosOBSERVACIONES];
end;

procedure TPresupuestosBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosOBSERVACIONES] := aValue.Text;
end;

function TPresupuestosBusinessProcessorRules.GetPLAZO_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosPLAZO_ENTREGA];
end;

function TPresupuestosBusinessProcessorRules.GetOldPLAZO_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosPLAZO_ENTREGA];
end;

procedure TPresupuestosBusinessProcessorRules.SetPLAZO_ENTREGAValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosPLAZO_ENTREGA] := aValue.Text;
end;

function TPresupuestosBusinessProcessorRules.GetFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFORMA_PAGO];
end;

function TPresupuestosBusinessProcessorRules.GetOldFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFORMA_PAGO];
end;

procedure TPresupuestosBusinessProcessorRules.SetFORMA_PAGOValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFORMA_PAGO] := aValue.Text;
end;

function TPresupuestosBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_ALTA];
end;

function TPresupuestosBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFECHA_ALTA];
end;

procedure TPresupuestosBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_ALTA] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_MODIFICACION];
end;

function TPresupuestosBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFECHA_MODIFICACION];
end;

procedure TPresupuestosBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_MODIFICACION] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosUSUARIO];
end;

function TPresupuestosBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosUSUARIO];
end;

procedure TPresupuestosBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosUSUARIO] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetFECHA_VALIDEZValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_VALIDEZ];
end;

function TPresupuestosBusinessProcessorRules.GetOldFECHA_VALIDEZValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosFECHA_VALIDEZ];
end;

procedure TPresupuestosBusinessProcessorRules.SetFECHA_VALIDEZValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosFECHA_VALIDEZ] := aValue;
end;

function TPresupuestosBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_MONTAJE];
end;

function TPresupuestosBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PresupuestosID_MONTAJE];
end;

procedure TPresupuestosBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PresupuestosID_MONTAJE] := aValue;
end;


{ TPresupuestos_DetallesBusinessProcessorRules }
constructor TPresupuestos_DetallesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPresupuestos_DetallesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesID];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesID];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesID] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetID_PRESUPUESTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesID_PRESUPUESTO];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldID_PRESUPUESTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesID_PRESUPUESTO];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetID_PRESUPUESTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesID_PRESUPUESTO] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesPOSICION];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesPOSICION];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetPOSICIONValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesPOSICION] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesTIPO_DETALLE];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesTIPO_DETALLE];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetTIPO_DETALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesTIPO_DETALLE] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesCONCEPTO];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesCONCEPTO];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetCONCEPTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesCONCEPTO] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesCANTIDAD];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesCANTIDAD];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetCANTIDADValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesCANTIDAD] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetPUNTOSValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesPUNTOS];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldPUNTOSValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesPUNTOS];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetPUNTOSValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesPUNTOS] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetIMPORTE_PUNTOSValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesIMPORTE_PUNTOS];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldIMPORTE_PUNTOSValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesIMPORTE_PUNTOS];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetIMPORTE_PUNTOSValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesIMPORTE_PUNTOS] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetIMPORTE_UNIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesIMPORTE_UNIDAD];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldIMPORTE_UNIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesIMPORTE_UNIDAD];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetIMPORTE_UNIDADValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesIMPORTE_UNIDAD] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesDESCUENTO];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesDESCUENTO];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetDESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesDESCUENTO] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesIMPORTE_TOTAL];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesIMPORTE_TOTAL];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesIMPORTE_TOTAL] := aValue;
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesVISIBLE];
end;

function TPresupuestos_DetallesBusinessProcessorRules.GetOldVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_DetallesVISIBLE];
end;

procedure TPresupuestos_DetallesBusinessProcessorRules.SetVISIBLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_DetallesVISIBLE] := aValue;
end;


{ TPresupuestos_RefreshBusinessProcessorRules }
constructor TPresupuestos_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPresupuestos_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshID];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_EMPRESA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshID_EMPRESA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_EMPRESA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_CLIENTE];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshID_CLIENTE];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_CLIENTE] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshNOMBRE];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshNOMBRE];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshNOMBRE] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshNIF_CIF];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshNIF_CIF];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshNIF_CIF] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshCALLE];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshCALLE];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshCALLE] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshPOBLACION];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshPOBLACION];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshPOBLACION] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshPROVINCIA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshPROVINCIA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshPROVINCIA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshCODIGO_POSTAL];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshCODIGO_POSTAL];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetCODIGO_POSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshCODIGO_POSTAL] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshTELEFONO_1];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshTELEFONO_1];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetTELEFONO_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshTELEFONO_1] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshTELEFONO_2];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshTELEFONO_2];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetTELEFONO_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshTELEFONO_2] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFAX];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFAX];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFAXValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFAX] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshMOVIL_1];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshMOVIL_1];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetMOVIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshMOVIL_1] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshMOVIL_2];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshMOVIL_2];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetMOVIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshMOVIL_2] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshEMAIL_1];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshEMAIL_1];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetEMAIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshEMAIL_1] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshEMAIL_2];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshEMAIL_2];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetEMAIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshEMAIL_2] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetID_VENDEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_VENDEDOR];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldID_VENDEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshID_VENDEDOR];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetID_VENDEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_VENDEDOR] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshREFERENCIA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshREFERENCIA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshREFERENCIA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFECHA_PRESUPUESTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_PRESUPUESTO];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFECHA_PRESUPUESTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFECHA_PRESUPUESTO];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFECHA_PRESUPUESTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_PRESUPUESTO] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetVIGENCIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshVIGENCIA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldVIGENCIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshVIGENCIA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetVIGENCIAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshVIGENCIA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshSITUACION];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshSITUACION];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshSITUACION] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFECHA_DECISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_DECISION];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFECHA_DECISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFECHA_DECISION];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFECHA_DECISIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_DECISION] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshBASE_IMPONIBLE];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshBASE_IMPONIBLE];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetBASE_IMPONIBLEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshBASE_IMPONIBLE] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshDESCUENTO];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshDESCUENTO];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetDESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshDESCUENTO] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIMPORTE_DESCUENTO];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshIMPORTE_DESCUENTO];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetIMPORTE_DESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIMPORTE_DESCUENTO] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIVA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshIVA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetIVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIVA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIMPORTE_IVA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshIMPORTE_IVA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetIMPORTE_IVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIMPORTE_IVA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIMPORTE_TOTAL];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshIMPORTE_TOTAL];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshIMPORTE_TOTAL] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshOBSERVACIONES];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshOBSERVACIONES];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshOBSERVACIONES] := aValue.Text;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetPLAZO_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshPLAZO_ENTREGA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldPLAZO_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshPLAZO_ENTREGA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetPLAZO_ENTREGAValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshPLAZO_ENTREGA] := aValue.Text;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFORMA_PAGO];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFORMA_PAGO];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFORMA_PAGOValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFORMA_PAGO] := aValue.Text;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_ALTA];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFECHA_ALTA];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_ALTA] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_MODIFICACION];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFECHA_MODIFICACION];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_MODIFICACION] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshUSUARIO];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshUSUARIO];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshUSUARIO] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetFECHA_VALIDEZValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_VALIDEZ];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldFECHA_VALIDEZValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshFECHA_VALIDEZ];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetFECHA_VALIDEZValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshFECHA_VALIDEZ] := aValue;
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_MONTAJE];
end;

function TPresupuestos_RefreshBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Presupuestos_RefreshID_MONTAJE];
end;

procedure TPresupuestos_RefreshBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Presupuestos_RefreshID_MONTAJE] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_darReferenciaDelta, TdarReferenciaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_PresupuestosDelta, TPresupuestosBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Presupuestos_DetallesDelta, TPresupuestos_DetallesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Presupuestos_RefreshDelta, TPresupuestos_RefreshBusinessProcessorRules);

end.
